namespace EnotaryoPH.Web.Common.Extensions
{
    public static class IEnumerableExtensions
    {
        public static IEnumerable<T> ToSafeEnumerable<T>(this IEnumerable<T> enumerable) => enumerable ?? Enumerable.Empty<T>();

        public static List<T> ToSafeList<T>(this IEnumerable<T> enumerable) => enumerable?.ToList() ?? [];
    }
}